/*
 * 作成日: 2003/10/23
 *
 * velocity内で利用するユーティリティクラス
 *
 */
 
package jp.ne.dti.venus.okazaki.xls2src;

/**
 * @author kenichi_okazaki
 *
  * velocity内で利用するユーティリティクラス
 *
 */
public class Util {

	
	/**
	 * 先頭の文字を大文字に変換
	 * 
	 * @param 文字列
	 * @return
	 */
	public String uCaseFC(String textString) {

		if (textString.length() == 0) {
			return "";
		}

		char textChars[] = textString.toCharArray();

		textChars[0] = Character.toUpperCase(textChars[0]);

		return new String(textChars);
	}
	
	/**
	 * 先頭の文字を大文字に変換
	 * 
	 * @param 文字列
	 * @return
	 */
	public String u(String textString) {
		return uCaseFC( textString );
	}
	
	
}
